<?xml version="1.0" encoding="UTF-8"?><TREQUESTWORK_NSTDA desc_thai="ใบขอปฏิบัติงานนอกสถานที่" desc_eng="Site" editcheck="true" mainhelp="TREQUESTWORK_NSTDAHELP" referhelp="TREQUESTWORK_NSTDAHELP" mainkey="REQUESTID" wfactive="true" wfkey="RUNNO" security="MemployeeRsecurity" documentno="REQUESTID" fieldsystem="*" protype="table" deleteflag="true" config_field="MEMPLOYEE_CONFIG">
	<FIELD>
		<REQUESTID lang="A" encrypt="false" log="false" type="AutoNumber" table="TREQUESTWORK_NSTDA">
			<KEY>1</KEY>
			<WIDTH>20</WIDTH>
			<DESC_ENG>Request ID</DESC_ENG>
			<DESC_THAI>รหัส</DESC_THAI>
			<COMPONENT type="text">
				<READONLY>TRUE</READONLY>
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_THAI>รหัส</ALT_THAI>
				<ALT_ENG>Request ID</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</REQUESTID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<REQUEST_TYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Request Type</DESC_ENG>
			<DESC_THAI>ประเภทการขอ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>ประเภทการขอ</ALT_THAI>
				<ALT_ENG>Request Type</ALT_ENG>
			</COMPONENT>
<APPNAME name="MYNOTE">
			<DESC_ENG>Request Type</DESC_ENG>
			<DESC_THAI>ประเภทการขอ</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>ประเภทการขอ</ALT_THAI>
				<ALT_ENG>Request Type</ALT_ENG>
			</COMPONENT></APPNAME>
</REQUEST_TYPE>
		<REQUEST_OBJECTIVE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>250</WIDTH>
			<DESC_ENG>Request Objective</DESC_ENG>
			<DESC_THAI>วัตถุประสงค์</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>4</LINES>
				<ALT_THAI>วัตถุประสงค์</ALT_THAI>
				<ALT_ENG>Request Objective</ALT_ENG>
			</COMPONENT>
		</REQUEST_OBJECTIVE>
		<REQUEST_WORKAREA lang="A" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Workarea</DESC_ENG>
			<DESC_THAI>สถานที่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_THAI>สถานที่</ALT_THAI>
				<ALT_ENG>Workarea</ALT_ENG>
			</COMPONENT>
		</REQUEST_WORKAREA>
		<PHONE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Phone</DESC_ENG>
			<DESC_THAI>โทรศัพท์ติดต่อ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>40</SIZE>
				<ALT_THAI>โทรศัพท์ติดต่อ</ALT_THAI>
				<ALT_ENG>Phone</ALT_ENG>
			</COMPONENT>
		</PHONE>
		<START_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Start Date</DESC_ENG>
			<DESC_THAI>วันเริ่มต้น</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ONKEYPRESS>setdis()</ONKEYPRESS>
				<ONKEYUP>typeDate(this);</ONKEYUP>
				<ALT_THAI>วันเริ่มต้น</ALT_THAI>
				<ALT_ENG>Start Date</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</START_DATE>
		<END_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>End Date</DESC_ENG>
			<DESC_THAI>วันสิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ONKEYPRESS>setdis()</ONKEYPRESS>
				<ONKEYUP>typeDate(this);</ONKEYUP>
				<ALT_THAI>วันสิ้นสุด</ALT_THAI>
				<ALT_ENG>End Date</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</END_DATE>
		<START_TIME lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Start Time</DESC_ENG>
			<DESC_THAI>เวลาเริ่มต้น</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาเริ่มต้น</ALT_THAI>
				<ALT_ENG>Start Time</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</START_TIME>
		<END_TIME lang="A" encrypt="false" log="false" type="Float">
			<WIDTH>5</WIDTH>
			<DESC_ENG>End Time</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>เวลาสิ้นสุด</ALT_THAI>
				<ALT_ENG>End Time</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</END_TIME>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>Employee ID</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
		<EMP_REQUEST lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>Employee ID</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMP_REQUEST>
		<REMARK lang="A" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>4</LINES>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
				<ALT_ENG>Remark</ALT_ENG>
				<ONKEYPRESS>lockTextareaChar(this, 100);</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</REMARK>
		<STATUS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Medical Certification</DESC_ENG>
			<DESC_THAI>ใบรับรองแพทย์</DESC_THAI>
			<VALIDCODE>HAVE</VALIDCODE>
			<COMPONENT type="radio">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>2</SIZE>
				<ALT_THAI>ใบรับรองแพทย์</ALT_THAI>
				<ALT_ENG>Medical Certification</ALT_ENG>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
		</STATUS>		
		<BU1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 1</ALT_THAI>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU2</RELATION>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 2</ALT_THAI>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU3</RELATION>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 3</ALT_THAI>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU4</RELATION>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 4</ALT_THAI>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU5</RELATION>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 5</ALT_THAI>
			</COMPONENT>
		</BU5>
		<BRANCH lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBRANCH</RELATION>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
			</COMPONENT>
		</BRANCH>
		<EMP_GROUP lang="A" encrypt="false" log="false" type="String">
			<RELATION>MGROUP</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_GROUP>
		<EMP_POSITION lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		</EMP_POSITION>
		<SALATYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>ระยะเวลาการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>ระยะเวลาการจ่ายเงินเดือน</ALT_THAI>
			</COMPONENT>
		</SALATYPE>
		<WORKAREA lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Workinq Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Workinq Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<BOSSID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Boss ID</DESC_ENG>
			<DESC_THAI>รหัสหัวหน้า</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Boss ID</ALT_ENG>
				<ALT_THAI>รหัสหัวหน้า</ALT_THAI>
			</COMPONENT>
		</BOSSID>
<WF_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Work Flow</DESC_ENG>
			<DESC_THAI>Work Flow</DESC_THAI>
			<VALIDCODE>YES</VALIDCODE>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_THAI>Work Flow</ALT_THAI>
				<ALT_ENG>Work Flow</ALT_ENG>
			</COMPONENT>
		</WF_STATUS></FIELD>
	<RELATION>
	</RELATION>
</TREQUESTWORK_NSTDA>
